Bug 210123 - missing dependencies for -devel package
missing dependencies for -devel package
Product: Fedora
Classification: Fedora
Component: libXmu (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Depends On:
  Show dependency treegraph
Reported: 2006-10-10 03:17 EDT by Patrice Dumas
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-13 15:47:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2006-10-10 03:17:03 EDT
Description of problem:

libXmu-devel should depend on pkgconfig. 

And also configure generated by 
in a configure.ac fails if libXext-devel isn't installed
explicitely (but libXmu-devel is). So I think libXmu-devel 
should depend on libXext-devel, or the .pc file should be
changed, since I guess this dependency comes from:
Requires.private: x11 xt xext

Version-Release number of selected component (if applicable):


How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Kristian Høgsberg 2006-10-13 15:47:59 EDT
Dependency on pkg-config added in rawhide.  However, libXmu-devel shouldn't
doesn't depend on libXext-devel as far as I can see.  ldd /usr/lib/libXmu gives

[krh@dinky devel]$ ldd /usr/lib/libXmu.so.6.2.0 
        libXext.so.6 => /usr/lib/libXext.so.6 (0x00dcf000)

which means that rpm automatically pulls in libXext as a dependency of libXmu.
However pkg-config --libs xmu gives:

[krh@dinky devel]$ pkg-config --libs xmu
-lXmu -lXt -lX11  

which means that libXext-devel is not a build time dependency for applications
using libXmu-devel.  Furthermore, libXext-devel doesn't install any header files.
Comment 2 Patrice Dumas 2006-10-13 19:09:21 EDT
Here is the pkg-config invocation that fails:

[dumas@localhost ~]$ pkg-config --exists --print-errors "x11 xmu"
Package xext was not found in the pkg-config search path.
Perhaps you should add the directory containing `xext.pc'
to the PKG_CONFIG_PATH environment variable
Package 'xext', required by 'Xmu', not found
[dumas@localhost ~]$ echo $?

So even though it doesn't show it, it needs it.
Comment 3 Kristian Høgsberg 2006-10-16 14:56:52 EDT
Ah, yes.  OK, 'Requires: libXext-devel' added to libXmu-devel.  It's a
low-impact fix though (if you're doing X development, you probably have libXext
installed), so I'm just going to build it for rawhide (i.e. to be fc7).
Comment 4 Patrice Dumas 2006-10-24 04:43:42 EDT
Not that low-impact, since this issue shows up in mock. It forces
all the packages which depends on Xaw to add a dependency although
they don't depend directly on Xext.

Note You need to log in before you can comment on or make changes to this bug.